CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TestSuite Class Reference
[Creating TestSuite]

A Composite of Tests. More...

`#include <TestSuite.h>`

Inheritance diagram for TestSuite:

[legend]
Collaboration diagram for TestSuite:

[legend]
List of all members.

## Public Member Functions
| TestSuite (std::string name="")
| Default constructor.
| ~TestSuite ()
| Destructor.
void | addTest (Test *test)
| Adds a test to the suite.
const CppUnitVector< Test * > & | getTests () const
virtual void | deleteContents ()
| Deletes all tests in the suite.
int | getChildTestCount () const
| Returns the number of direct child of the test.
Test * | doGetChildTestAt (int index) const
| Returns the child test of the specified valid index.
## Private Attributes
CppUnitVector< Test * > | m_tests

## Detailed Description

A Composite of Tests.

It runs a collection of test cases. Here is an example.

     CppUnit::TestSuite *suite= new CppUnit::TestSuite();
     suite->addTest(new CppUnit::TestCaller<MathTest> (
                      "testAdd", testAdd));
     suite->addTest(new CppUnit::TestCaller<MathTest> (
                      "testDivideByZero", testDivideByZero));

Note that TestSuites assume lifetime control for any tests added to them.

TestSuites do not register themselves in the TestRegistry.

See also:
  Test

  TestCaller

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestSuite::TestSuite | ( | std::string | name = `""` | ) |

Default constructor.

Constructs a test suite with the specified name.

TestSuite::~TestSuite | ( |  | ) |

Destructor.

## Member Function Documentation

void TestSuite::addTest | ( | Test * | test | ) |

Adds a test to the suite.

Adds the specified test to the suite.

Parameters:

  | test | Test to add. Must not be `NULL`.

const CppUnitVector< Test * > & TestSuite::getTests | ( |  | ) | const

Returns the list of the tests (DEPRECATED).

Deprecated:
  Use getChildTestCount() & getChildTestAt() of the TestComposite interface instead.
  Returns:
    Reference on a vector that contains the tests of the suite.

void TestSuite::deleteContents | ( |  | ) | `[virtual]`

Deletes all tests in the suite.

Destroys all the tests of the suite.

int TestSuite::getChildTestCount | ( |  | ) | const`[virtual]`

Returns the number of direct child of the test.

Implements Test.

Reimplemented in TestRunner::WrappingSuite.

Test * TestSuite::doGetChildTestAt | ( | int | index | ) | const`[virtual]`

Returns the child test of the specified valid index.

Parameters:

  | index | Zero based valid index of the child test to return.

Returns:
  Pointer on the test. Never `NULL`.

Implements Test.

Reimplemented in TestRunner::WrappingSuite.

## Member Data Documentation

CppUnitVector<Test *> TestSuite::m_tests`[private]`

The documentation for this class was generated from the following files:

- TestSuite.h
- TestSuite.cpp

| hosts this site. |  | Send comments to: CppUnit Developers